Method: projects.locations.instances.users.list

Lists Users in an instance.

HTTP request

GET https://mpc.googleapis.com/v1beta/{parent=projects/*/locations/*/instances/*}/users

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent instance. Format: projects/{project}/locations/{location}/instances/{instance} It takes the form projects/{project}/locations/{location}/instances/{instance}.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of Users to return. The service may return fewer. If unspecified, at most 50 are returned. Values above 1000 are coerced to 1000.

pageToken

string

Optional. A page token from a previous users.list call. When paginating, all other parameters must match the call that returned the token.

filter

string

Optional. A filter expression (AIP-160). Supported fields:

  • team: equality on the Team resource name, e.g. team = "projects/p/locations/l/instances/i/teams/t".
  • roles: has-operator on a role, e.g. roles:POLICY_AUTHOR. Matches User.roles: the roles the User can use now.
  • state: equality, e.g. state = ACTIVE.

Expressions can be combined with AND. Unsupported fields or operators fail with INVALID_ARGUMENT.

Request body

The request body must be empty.

Response body

Response message for UserService.ListUsers.

If successful, the response body contains data with the following structure:

JSON representation
{
  "users": [
    {
      object (User)
    }
  ],
  "nextPageToken": string
}
Fields
users[]

object (User)

The Users in the instance.

nextPageToken

string

A token to retrieve the next page. Empty if there are no more pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.